org.hibernate.validator.internal.cdi.interceptor

## Class ValidationEnabledAnnotatedType<T>

- java.lang.Object
- - org.hibernate.validator.internal.cdi.interceptor.ValidationEnabledAnnotatedType<T>

- All Implemented Interfaces:
    Annotated, AnnotatedType<T>

      public class ValidationEnabledAnnotatedType<T>
      extends Object
      implements AnnotatedType<T>

  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationEnabledAnnotatedType(AnnotatedType<T> type, Set<AnnotatedCallable<? super T>> constrainedCallables)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<A extends Annotation> A` | `getAnnotation(Class<A> annotationType)`
    `Set<Annotation>` | `getAnnotations()`
    `Type` | `getBaseType()`
    `Set<AnnotatedConstructor<T>>` | `getConstructors()`
    `Set<AnnotatedField<? super T>>` | `getFields()`
    `Class<T>` | `getJavaClass()`
    `Set<AnnotatedMethod<? super T>>` | `getMethods()`
    `Set<Type>` | `getTypeClosure()`
    `boolean` | `isAnnotationPresent(Class<? extends Annotation> annotationType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationEnabledAnnotatedType

          public ValidationEnabledAnnotatedType(AnnotatedType<T> type,
                                        Set<AnnotatedCallable<? super T>> constrainedCallables)

  - ### Method Detail

    - #### getJavaClass

          public Class<T> getJavaClass()

      Specified by:
        `getJavaClass` in interface `AnnotatedType<T>`

    - #### getConstructors

          public Set<AnnotatedConstructor<T>> getConstructors()

      Specified by:
        `getConstructors` in interface `AnnotatedType<T>`

    - #### getMethods

          public Set<AnnotatedMethod<? super T>> getMethods()

      Specified by:
        `getMethods` in interface `AnnotatedType<T>`

    - #### getFields

          public Set<AnnotatedField<? super T>> getFields()

      Specified by:
        `getFields` in interface `AnnotatedType<T>`

    - #### getBaseType

          public Type getBaseType()

      Specified by:
        `getBaseType` in interface `Annotated`

    - #### getTypeClosure

          public Set<Type> getTypeClosure()

      Specified by:
        `getTypeClosure` in interface `Annotated`

    - #### getAnnotation

          public <A extends Annotation> A getAnnotation(Class<A> annotationType)

      Specified by:
        `getAnnotation` in interface `Annotated`

    - #### getAnnotations

          public Set<Annotation> getAnnotations()

      Specified by:
        `getAnnotations` in interface `Annotated`

    - #### isAnnotationPresent

          public boolean isAnnotationPresent(Class<? extends Annotation> annotationType)

      Specified by:
        `isAnnotationPresent` in interface `Annotated`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved